<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    
</body>
<script>
   let name = "John";
   let myObj = {
    name,
    sayHi() {
        console.log("hi, y name is " + this.name);
    }
   };
   
   myObj.sayHi();
</script>
</html>